#
# Copyright (c) 2008-2018 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

__docformat__ = 'restructuredtext'


# import standard library

# import interfaces
from pyams_content.portlet.content.interfaces import ISharedContentPortletSettings
from pyams_utils.interfaces import VIEW_PERMISSION

# import packages
from pyams_portal.portlet import PortletSettings, portlet_config, Portlet
from zope.interface import implementer

from pyams_content import _


SHARED_CONTENT_PORTLET_NAME = 'pyams_content.portlet.content'


@implementer(ISharedContentPortletSettings)
class SharedContentPortletSettings(PortletSettings):
    """Shared content portlet persistent settings"""


@portlet_config(permission=VIEW_PERMISSION)
class SharedContentPortlet(Portlet):
    """Shared content portlet"""

    name = SHARED_CONTENT_PORTLET_NAME
    label = _("Context content")

    settings_class = SharedContentPortletSettings
